---
title: Intl.Collator.prototype.resolvedOptions()
slug: Web/JavaScript/Reference/Global_Objects/Intl/Collator/resolvedOptions
tags:
  - Collator
  - Internationalization
  - Intl
  - JavaScript
  - Method
  - Prototype
---
<div>{{JSRef}}</div>

<p>The <strong><code>Intl.Collator.prototype.resolvedOptions()</code></strong> method returns a new object with properties reflecting the locale and collation options computed during initialization of this {{jsxref("Collator")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/intl-collator-prototype-resolvedoptions.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>collator</var>.resolvedOptions()</pre>

<h3 id="Return_value">Return value</h3>

<p>A new object with properties reflecting the locale and collation options computed during the initialization of the given {{jsxref("Collator")}} object.</p>

<h2 id="Description">Description</h2>

<p>The resulting object has the following properties:</p>

<dl>
 <dt><code>locale</code></dt>
 <dd>The BCP 47 language tag for the locale actually used. If any Unicode extension values were requested in the input BCP 47 language tag that led to this locale, the key-value pairs that were requested and are supported for this locale are included in <code>locale</code>.</dd>
 <dt><code>usage</code></dt>
 <dt><code>sensitivity</code></dt>
 <dt><code>ignorePunctuation</code></dt>
 <dd>The values provided for these properties in the <code>options</code> argument or filled in as defaults.</dd>
 <dt><code>collation</code></dt>
 <dd>The value requested using the Unicode extension key <code>"co"</code>, if it is supported for <code>locale</code>, or <code>"default"</code>.</dd>
 <dt><code>numeric</code></dt>
 <dt><code>caseFirst</code></dt>
 <dd>The values requested for these properties in the <code>options</code> argument or using the Unicode extension keys <code>"kn"</code> and <code>"kf"</code> or filled in as defaults. If the implementation does not support these properties, they are omitted.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_resolvedOptions_method">Using the resolvedOptions method</h3>

<pre class="brush: js notranslate">var de = new Intl.Collator('de', { sensitivity: 'base' })
var usedOptions = de.resolvedOptions();

usedOptions.locale;            // "de"
usedOptions.usage;             // "sort"
usedOptions.sensitivity;       // "base"
usedOptions.ignorePunctuation; // false
usedOptions.collation;         // "default"
usedOptions.numeric;           // false
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ES Int Draft', '#sec-intl.collator.prototype.resolvedoptions', 'Intl.Collator.prototype.resolvedOptions')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Intl.Collator.resolvedOptions")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Collator", "Intl.Collator")}}</li>
</ul>
